# class DOT::DOTEdge

This is an edge.

### Attributes

from[RW]
to[RW]

### Public Class Methods

new(params = {}, option_list = EDGE_OPTS) click to toggle source
Calls superclass method DOT::DOTElement.new

    # File lib/puppet/external/dot.rb, line 298
    def initialize (params = {}, option_list = EDGE_OPTS)
      super(params, option_list)
      @from = params['from'] ? params['from'] : nil
      @to   = params['to'] ? params['to'] : nil
    end

### Public Instance Methods

edge_link() click to toggle source

    # File lib/puppet/external/dot.rb, line 304
    def edge_link
      '--'
    end

to_s(t = '') click to toggle source

    # File lib/puppet/external/dot.rb, line 308
    def to_s (t = '')
      t + "#{@from} #{edge_link} #{to} [\n" +
        @options.to_a.collect{ |i|
          i[1] && i[0] != 'label' ?
            t + $tab + "#{i[0]} = #{i[1]}" :
            i[1] ? t + $tab + "#{i[0]} = \"#{i[1]}\"" : nil
        }.compact.join( "\n" ) + "\n#{t}]\n"
    end